Show / Hide Table of Contents

# Class Addon

##### Inheritance

System.Object
Addon

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.Gui.Addon

###### Assembly: Dalamud.dll

##### Syntax

    public class Addon

### Constructors

| Improve this Doc View Source

#### Addon(IntPtr, Addon)

##### Declaration

    public Addon(IntPtr address, Addon addonStruct)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | address |
Addon | addonStruct |

### Fields

| Improve this Doc View Source

#### addonStruct

##### Declaration

    protected Addon addonStruct

##### Field Value

Type | Description
--- | ---
Addon |

| Improve this Doc View Source

#### Address

##### Declaration

    public IntPtr Address

##### Field Value

Type | Description
--- | ---
System.IntPtr |

### Properties

| Improve this Doc View Source

#### Height

##### Declaration

    public float Height { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Name

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Scale

##### Declaration

    public float Scale { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Visible

##### Declaration

    public bool Visible { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Width

##### Declaration

    public float Width { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### X

##### Declaration

    public short X { get; }

##### Property Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### Y

##### Declaration

    public short Y { get; }

##### Property Value

Type | Description
--- | ---
System.Int16 |